Bug 525729

Summary: ccs_sync doesn't return bad status if it fails
Product: [Fedora] Fedora Reporter: Christine Caulfield <ccaulfie>
Component: ricciAssignee: Ryan McCabe <rmccabe>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 12CC: rmccabe
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: ricci-0.16.1-8.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 553374 (view as bug list) Environment:
Last Closed: 2010-03-11 07:26:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 553374    

Description Christine Caulfield 2009-09-25 13:10:35 UTC
Description of problem:
ccs_sync always seems to return 0 (success) regardless of whether the operation failed

How reproducible:
easily

Steps to Reproduce:
1. take a node out of the cluster
2. ccs_sync
  
Actual results:
The connection to anna died unexpectedly
The connection to fanny died unexpectedly
The connection to amy died unexpectedly
[root@amy ~]# echo $?
0
[root@amy ~]#

Expected results:
an error > 0

Additional info:

Comment 1 Bug Zapper 2009-11-16 12:57:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora Update System 2010-03-09 22:57:23 UTC
ricci-0.16.1-8.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ricci-0.16.1-8.fc12

Comment 3 Fedora Update System 2010-03-11 07:26:13 UTC
ricci-0.16.1-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.